/*

    ThermostatQA - test framework for Thermostat Monitoring Tool

    Copyright 2013 Red Hat, Inc.

This file is part of ThermostatQA

ThermostatQA is distributed under the GNU General Public License,
version 2 or any later version (with a special exception described
below, commonly known as the "Classpath Exception").

A copy of GNU General Public License (GPL) is included in this
distribution, in the file COPYING.

Linking ThermostatQA code with other modules is making a combined work
based on ThermostatQA.  Thus, the terms and conditions of the GPL
cover the whole combination.

As a special exception, the copyright holders of ThermostatQA give you
permission to link this code with independent modules to produce an
executable, regardless of the license terms of these independent
modules, and to copy and distribute the resulting executable under
terms of your choice, provided that you also meet, for each linked
independent module, the terms and conditions of the license of that
module.  An independent module is a module which is not derived from
or based on ThermostatQA code.  If you modify ThermostatQA, you may
extend this exception to your version of the software, but you are
not obligated to do so.  If you do not wish to do so, delete this
exception statement from your version.
*/

package org.thermostat.qa.framework;

public class Patterns
{
    public static class FailureToConnectToStorageDialog
    {
        public static final String ERROR_ICON = "FailureToConnectToStorageDialog/error_icon";
        public static final String CONFIGURE_BUTTON[] = {"FailureToConnectToStorageDialog/configure_button", "FailureToConnectToStorageDialog/configure_button2","FailureToConnectToStorageDialog/configure_button3"};
        public static final String[] QUIT_BUTTON = {"FailureToConnectToStorageDialog/quit_button", 
            "FailureToConnectToStorageDialog/quit_button_mouseover"};
    }

    public static class MainWindow
    {
        public static final String[] MAGNIFY_ICON = {"MainWindow/magnify_icon","MainWindow/magnify_icon2", "MainWindow/magnify_icon3"};
        public static final String ISSUES_LABEL = "MainWindow/issues_label";
        public static final String SUMMARY_LABEL = "MainWindow/summary_label";
        public static final String MAIN_MENU = "MainWindow/main_menu";
        public static final String[] HOST_VIEW_ICON = {"MainWindow/host_icon_grey", "MainWindow/host_icon_white", "MainWindow/host_icon_whiteblue"};
        public static final String[] HOST_VIEW_ICON_ACTIVE = {"MainWindow/host_icon_blue", "MainWindow/host_icon_blue2"};
        public static final String HOST_ICON_WITH_ARROW = "MainWindow/host_icon_with_arrow";
        public static final String[] VM_VIEW_ICON = {"MainWindow/vm_icon_grey", "MainWindow/vm_icon_whiteblue"};
        public static final String[] VM_VIEW_ICON_ACTIVE = {"MainWindow/vm_icon_blue","MainWindow/vm_icon_blue2"};
        public static final String RESIZABLE = "MainWindow/resizable";
    }

    public static class MainWindowMenuBar
    {
        public static final String FILE_MENU = "MainMenu/menu_bar_file";
        public static final String EDIT_MENU = "MainMenu/menu_bar_edit";
        public static final String VIEW_MENU = "MainMenu/menu_bar_view";
        public static final String HELP_MENU = "MainMenu/menu_bar_help";
    }

    public static class MainWindowMenuFile
    {
        public static final String EXIT = "MainMenu/menu_file_exit";
    }

    public static class MainWindowMenuEdit
    {
        public static final String CLIENT_PREFERENCES = "MainMenu/menu_edit_client_preferences";
        public static final String ENABLE_HISTORY_MODE = "MainMenu/menu_edit_enable_history_mode";
        public static final String SHOW_UNCONNECTED_HOSTS = "MainMenu/menu_edit_show_unconnected_hosts";
        public static final String[] SHOW_NON_LIVING_VM = {"MainMenu/menu_edit_show_non_living_vm","MainMenu/menu_edit_show_non_living_vm2"};
    }

    public static class MainWindowMenuView
    {
        public static final String VIEW_ALL_AGENTS = "MainMenu/menu_view_all_agents";
    }

    public static class MainWindowMenuHelp
    {
        public static final String ABOUTS = "MainMenu/menu_help_about";
    }

    public static class AboutDialog
    {
        public static final String CLOSE_BUTTON[] = {"AboutDialog/close_button","AboutDialog/close_button2","AboutDialog/close_button3"};
        public static final String THERMOSTAT_LOGO = "AboutDialog/thermostat_logo";
        public static final String THERMOSTAT_TITLE = "AboutDialog/thermostat_title";
        public static final String UPPER_TEXT = "AboutDialog/about_text_upper_part";
        public static final String[] LOWER_TEXT = {"AboutDialog/about_text_lower_part", "AboutDialog/about_text_lower_part3","AboutDialog/about_text_lower_part2"};
    }

    public static class SummaryTab
    {
        public static final String SUMMARY_LABEL = "TabSummary/summary_label";
        public static final String ISSUES_LABEL = "TabSummary/issues_label";
        public static final String TOTAL_MACHINES_LABEL = "TabSummary/total_machines_label";
        public static final String TOTAL_VIRTUAL_MACHINES_LABEL = "TabSummary/total_java_virtual_machines_label";
        public static final String NO_ISSUES_IN_TEXT_AREA = "TabSummary/no_issues_in_text_area";
    }

    public static class ClientPreferencesDialog
    {
        public static final String[] OK_BUTTON = {"ClientPreferencesDialog/ok_button", "ClientPreferencesDialog/ok_button2", "ClientPreferencesDialog/ok_button3"};
        public static final String CANCEL_BUTTON = "ClientPreferencesDialog/cancel_button";
        public static final String USER_NAME_LABEL = "ClientPreferencesDialog/user_name_label";
        public static final String PASSWORD_LABEL = "ClientPreferencesDialog/password_label";
        public static final String STORAGE_URL_LABEL = "ClientPreferencesDialog/storage_url_label";
        public static final String CONNECTION_INFO_LABEL = "ClientPreferencesDialog/connection_info_label";
        public static final String SAVE_ENTITLEMENTS_CHECKBOX = "ClientPreferencesDialog/save_entitlements_checkbox";
        public static final String BAD_LOGIN_USER_NAME = "ClientPreferencesDialog/bad_login_user_name";
        public static final String SAVE_ENTITLEMENTS_CHECKED = "ClientPreferencesDialog/save_entitlements_checked";
        public static final String PASSWORD_EDIT_AND_LABEL = "ClientPreferencesDialog/password_edit_and_label";
        public static final String[] WEB_STORAGE_CONNECTION_INFO = { "ClientPreferencesDialog/web_storage_connection_info", "ClientPreferencesDialog/web_storage_connection_info2","ClientPreferencesDialog/web_storage_connection_info3" };
        
    }

    public static class AllAgentsDialog
    {
        public static final String[] CLOSE_BUTTON = {"AllAgentsDialog/close_button", "AllAgentsDialog/close_button2"};
        public static final String[] ADDED_AGENT = {"AllAgentsDialog/added_agent", "AllAgentsDialog/added_agent2"};
    }

    public static class HostView
    {
        public static final String MEMORY_TAB = "HostView/memory_tab";
        public static final String[] MEMORY_TAB_CHOSEN = {"HostView/memory_tab_chosen", "HostView/memory_tab_chosen2"};
        public static final String NUMA_TAB = "HostView/numa_tab";
        public static final String[] NUMA_TAB_CHOSEN = {"HostView/numa_tab_chosen", "HostView/numa_tab_chosen2"};
        public static final String OVERVIEW_TAB = "HostView/overview_tab";
        public static final String OVERVIEW_TAB_CHOSEN = "HostView/overview_tab_chosen";
        public static final String PROCESSOR_TAB = "HostView/processor_tab";
        public static final String PROCESSOR_TAB_CHOSEN = "HostView/processor_tab_chosen";
        public static final String TINY_HOST_LABEL = "HostView/tiny_host_label";
        public static final String TINY_ID_LABEL = "HostView/tiny_id_label";
    }

    public static class HostViewMemoryTab
    {
        public static final String DISPLAY_RECENT_DROP = "HostView/MemoryTab/display_recent_drop";
        public static final String DISPLAY_RECENT_EDIT = "HostView/MemoryTab/display_recent_edit";
        public static final String DISPLAY_RECENT_LABEL = "HostView/MemoryTab/display_recent_label";
        public static final String FREE_MEMORY_CHECKED = "HostView/MemoryTab/free_memory_checked";
        public static final String FREE_MEMORY_COLOR_1PIXEL = "HostView/MemoryTab/free_memory_color_1pixel";
        public static final String MEMORY_LABEL = "HostView/MemoryTab/memory_label";
        public static final String SIZE_LEGEND = "HostView/MemoryTab/size_legend";
        public static final String TIME_LEGEND = "HostView/MemoryTab/time_legend";
        public static final String TOTAL_MEMORY_CHECKED = "HostView/MemoryTab/total_memory_checked";
        public static final String TOTAL_MEMORY_COLOR_1PIXEL = "HostView/MemoryTab/total_memory_color_1pixel";
        public static final String TOTAL_MEMORY_LABEL = "HostView/MemoryTab/total_memory_label";
        public static final String TOTAL_SWAP_CHECKED = "HostView/MemoryTab/total_swap_checked";
        public static final String TOTAL_SWAP_COLOR_1PIXEL = "HostView/MemoryTab/total_swap_color_1pixel";
        public static final String USED_MEMORY_CHECKED = "HostView/MemoryTab/used_memory_checked";
        public static final String USED_MEMORY_COLOR_1PIXEL = "HostView/MemoryTab/used_memory_color_1pixel";
    }

    public static class HostViewNumaTab
    {
        public static final String DISPLAY_RECENT_DROP = "HostView/NumaTab/display_recent_drop";
        public static final String DISPLAY_RECENT_EDIT = "HostView/NumaTab/display_recent_edit";
        public static final String DISPLAY_RECENT_LABEL = "HostView/NumaTab/display_recent_label";
        public static final String NODE0_CHECKED = "HostView/NumaTab/node0_checked";
        public static final String NUMA_LABEL = "HostView/NumaTab/numa_label";
        public static final String NUMBER_HITS_LEGEND = "HostView/NumaTab/number_hits_legend";
        public static final String TIME_LEGEND = "HostView/NumaTab/time_legend";
    }

    public static class HostViewOverviewTab
    {
        public static final String[] BASICS_LABEL = {"HostView/OverviewTab/basics_label", "HostView/OverviewTab/basics_label2"};
        public static final String[] HOST_LABEL = {"HostView/OverviewTab/host_label", "HostView/OverviewTab/host_label2"};
        public static final String[] HW_LABEL = {"HostView/OverviewTab/hw_label","HostView/OverviewTab/hw_label2"};
        public static final String INTERFACE_LABEL = "HostView/OverviewTab/interface_label";
        public static final String IPV4_ADDRESS_LABEL = "HostView/OverviewTab/ipv4_address_label";
        public static final String IPV6_ADDRESS_LABEL = "HostView/OverviewTab/ipv6_address_label";
        public static final String[] NETWORK_LABEL = {"HostView/OverviewTab/network_label", "HostView/OverviewTab/network_label2"};
        public static final String[] OS_KERNEL_LABEL = {"HostView/OverviewTab/os_kernel_label","HostView/OverviewTab/os_kernel_label2"};
        public static final String[] OS_NAME_LABEL = {"HostView/OverviewTab/os_name_label","HostView/OverviewTab/os_name_label2"};
        public static final String[] PROCESSOR_COUNT_LABEL = {"HostView/OverviewTab/processor_count_label","HostView/OverviewTab/processor_count_label2"};
        public static final String[] PROCESSOR_MODEL_LABEL = {"HostView/OverviewTab/processor_model_label","HostView/OverviewTab/processor_model_label2"};
        public static final String[] SW_LABEL = {"HostView/OverviewTab/sw_label","HostView/OverviewTab/sw_label2"};
        public static final String[] TOTAL_MEMORY_LABEL = {"HostView/OverviewTab/total_memory_label","HostView/OverviewTab/total_memory_label2"};
    }

    public static class HostViewProcessorTab
    {
        public static final String CPU0_COLOR_1PIXEL = "HostView/ProcessorTab/cpu0_color_1pixel";
        public static final String CPU0_LABEL = "HostView/ProcessorTab/cpu0_label";
        public static final String CPU_USAGE_LEGEND = "HostView/ProcessorTab/cpu_usage_legend";
        public static final String DISPLAY_RECENT_DROP = "HostView/ProcessorTab/display_recent_drop";
        public static final String DISPLAY_RECENT_EDIT = "HostView/ProcessorTab/display_recent_edit";
        public static final String DISPLAY_RECENT_LABEL = "HostView/ProcessorTab/display_recent_label";
        public static final String PROCESSOR_COUNT_LABEL = "HostView/ProcessorTab/processor_count_label";
        public static final String PROCESSOR_LABEL = "HostView/ProcessorTab/processor_label";
        public static final String PROCESSOR_MODEL_LABEL = "HostView/ProcessorTab/processor_model_label";
        public static final String TIME_LEGEND = "HostView/ProcessorTab/time_legend";
    }

    public static class VMView
    {
        public static final String CLASSES_TAB = "VMView/classes_tab";
        public static final String CLASSES_TAB_CHOSEN = "VMView/classes_tab_chosen";
        public static final String CPU_TAB = "VMView/cpu_tab";
        public static final String CPU_TAB_CHOSEN = "VMView/cpu_tab_chosen";
        public static final String GC_TAB = "VMView/gc_tab";
        public static final String GC_TAB_CHOSEN = "VMView/gc_tab_chosen";
        public static final String[] HEAP_ANALYZER_TAB = {"VMView/heap_analyzer_tab","VMView/heap_analyzer_tab2"};
        public static final String HEAP_ANALYZER_TAB_CHOSEN = "VMView/heap_analyzer_tab_chosen";
        public static final String MEMORY_TAB = "VMView/memory_tab";
        public static final String MEMORY_TAB_CHOSEN = "VMView/memory_tab_chosen";
        public static final String NOTIFICATIONS_TAB = "VMView/notifications_tab";
        public static final String NOTIFICATIONS_TAB_CHOSEN = "VMView/notifications_tab_chosen";
        public static final String OVERVIEW_TAB = "VMView/overview_tab";
        public static final String OVERVIEW_TAB_CHOSEN = "VMView/overview_tab_chosen";
        public static final String THREADS_TAB = "VMView/threads_tab";
        public static final String THREADS_TAB_CHOSEN = "VMView/threads_tab_chosen";
        public static final String TINY_HOST_LABEL = "VMView/tiny_host_label";
        public static final String TINY_PID_LABEL = "VMView/tiny_pid_label";
        public static final String TINY_VM_LABEL = "VMView/tiny_vm_label";
    }

    public static class VMViewOverviewTab
    {
        public static final String COMMAND_LINE_LABEL = "VMView/OverviewTab/command_line_label";
        public static final String JAVA_VERSION_LABEL = "VMView/OverviewTab/java_version_label";
        public static final String MAIN_CLASS_LABEL = "VMView/OverviewTab/main_class_label";
        public static final String PROCESS_ID_LABEL = "VMView/OverviewTab/process_id_label";
        public static final String PROCESS_INFO_LABEL = "VMView/OverviewTab/process_info_label";
        public static final String START_TIME_LABEL = "VMView/OverviewTab/start_time_label";
        public static final String STOP_TIME_LABEL = "VMView/OverviewTab/stop_time_label";
        public static final String USER_ID_LABEL = "VMView/OverviewTab/user_id_label";
        public static final String VM_ARGUMENTS_LABEL = "VMView/OverviewTab/vm_arguments_label";
        public static final String VM_LABEL = "VMView/OverviewTab/vm_label";
        public static final String VM_OVERVIEW_LABEL = "VMView/OverviewTab/vm_overview_label";
    }

    public static class VMViewCpuTab
    {
        public static final String CPU_PERCENT_LEGEND = "VMView/CpuTab/cpu_percent_legend";
        public static final String CPU_USAGE_LABEL = "VMView/CpuTab/cpu_usage_label";
        public static final String DISPLAY_DROP = "VMView/CpuTab/display_drop";
        public static final String DISPLAY_EDIT = "VMView/CpuTab/display_edit";
        public static final String DISPLAY_LABEL = "VMView/CpuTab/display_label";
        public static final String GRAPH_PIXEL_COMMON_COLOR = "VMView/CpuTab/graph_pixel_common_color";
        public static final String ONE_GRAPH_GRAY_RECTANGLE = "VMView/CpuTab/one_graph_gray_rectangle";
        public static final String TIME_LEGEND = "VMView/CpuTab/time_legend";
    }

    public static class VMViewGcTab
    {
        public static final String COLLECTOR_LABEL = "VMView/GcTab/collector_label";
        public static final String DISPLAY_DROP = "VMView/GcTab/display_drop";
        public static final String DISPLAY_EDIT = "VMView/GcTab/display_edit";
        public static final String DISPLAY_LABEL = "VMView/GcTab/display_label";
        public static final String GC_LABEL = "VMView/GcTab/gc_label";
        public static final String GC_TIME_LEGEND = "VMView/GcTab/gc_time_legend";
        public static final String RUNNING_ON_LABEL = "VMView/GcTab/running_on_label";
    }

    public static class VMViewClassesTab
    {
        public static final String DISPLAY_DROP = "VMView/ClassesTab/display_drop";
        public static final String DISPLAY_EDIT = "VMView/ClassesTab/display_edit";
        public static final String DISPLAY_LABEL = "VMView/ClassesTab/display_label";
        public static final String LOADED_CLASSES_LABEL = "VMView/ClassesTab/loaded_classes_label";
        public static final String NUM_OF_CLASSES_LEGEND = "VMView/ClassesTab/num_of_classes_legend";
        public static final String TIME_LEGEND = "VMView/ClassesTab/time_legend";
        public static final String TYPICAL_GRAPH_PIXEL_COLOR = "VMView/ClassesTab/typical_graph_pixel_color";
    }

    public static class VMViewMemoryTab
    {
        public static final String EDEN_LABEL = "VMView/MemoryTab/eden_label";
        public static final String MEMORY_REGIONS_LABEL = "VMView/MemoryTab/memory_regions_label";
        public static final String OLD_LABEL = "VMView/MemoryTab/old_label";
        public static final String PERFORM_GC_ICON = "VMView/MemoryTab/perform_gc_icon";
        public static final String PERFORM_GC_LABEL = "VMView/MemoryTab/perform_gc_label";
        public static final String PERM_LABEL = "VMView/MemoryTab/perm_label";
        public static final String S0_LABEL = "VMView/MemoryTab/s0_label";
        public static final String S1_LABEL = "VMView/MemoryTab/s1_label";
        public static final String TYPICAL_GRAPH_PIXEL_COLOR = "VMView/MemoryTab/typical_graph_pixel_color";
    }

    public static class VMViewHeapAnalyzerTab
    {
        public static final String GRAPH_INNER_PIXEL_COLOR = "VMView/HeapAnalyzerTab/graph_inner_pixel_color";
        public static final String HEAP_CAPACITY_LABEL = "VMView/HeapAnalyzerTab/heap_capacity_label";
        public static final String HEAP_CAPACITY_LEGEND = "VMView/HeapAnalyzerTab/heap_capacity_legend";
        public static final String HEAP_CAPACITY_PIXEL = "VMView/HeapAnalyzerTab/heap_capacity_pixel";
        public static final String HEAP_DUMP_ICON = "VMView/HeapAnalyzerTab/heap_dump_icon";
        public static final String HEAP_DUMP_LABEL = "VMView/HeapAnalyzerTab/heap_dump_label";
        public static final String HEAP_LEGEND = "VMView/HeapAnalyzerTab/heap_legend";
        public static final String HEAP_USAGE_LABEL = "VMView/HeapAnalyzerTab/heap_usage_label";
        public static final String LIST_DUMPS_ICON = "VMView/HeapAnalyzerTab/list_dumps_icon";
        public static final String LIST_DUMPS_LABEL = "VMView/HeapAnalyzerTab/list_dumps_label";
        public static final String TIME_LEGEND = "VMView/HeapAnalyzerTab/time_legend";
        public static final String USED_HEAP_LABEL = "VMView/HeapAnalyzerTab/used_heap_label";
        public static final String USED_HEAP_LEGEND = "VMView/HeapAnalyzerTab/used_heap_legend";
        public static final String USED_HEAP_PIXEL = "VMView/HeapAnalyzerTab/used_heap_pixel";
    }

    public static class VMViewThreadsTab
    {
        public static final String BLOCKED_LEGEND = "VMView/ThreadsTab/blocked_legend";
        public static final String DEADLOCK_TAB = "VMView/ThreadsTab/deadlock_tab";
        public static final String DETAILS_TAB = "VMView/ThreadsTab/details_tab";
        public static final String MONITOR_THREADS_ICON = "VMView/ThreadsTab/monitor_threads_icon";
        public static final String MONITOR_THREADS_LABEL = "VMView/ThreadsTab/monitor_threads_label";
        public static final String NEW_LEGEND = "VMView/ThreadsTab/new_legend";
        public static final String RUNNABLE_LEGEND = "VMView/ThreadsTab/runnable_legend";
        public static final String TABLE_TAB = "VMView/ThreadsTab/table_tab";
        public static final String TERMINATED_LEGEND = "VMView/ThreadsTab/terminated_legend";
        public static final String THREAD_COUNT_TAB = "VMView/ThreadsTab/thread_count_tab";
        public static final String THREADS_CONTROL_PANEL_LABEL = "VMView/ThreadsTab/threads_control_panel_label";
        public static final String TIMED_WAITING_LEGEND = "VMView/ThreadsTab/timed_waiting_legend";
        public static final String TIMELINE_TAB = "VMView/ThreadsTab/timeline_tab";
        public static final String VM_CAPAB_TAB = "VMView/ThreadsTab/vm_capab_tab";
        public static final String WAITING_LEGEND = "VMView/ThreadsTab/waiting_legend";
    }

    public static class VMViewNotificationsTab
    {
        public static final String JMX_NOTIFICATIONS_LABEL = "VMView/NotificationsTab/jmx_notifications_label";
        public static final String MINUS_BUTTON = "VMView/NotificationsTab/minus_button";
        public static final String PLUS_BUTTON = "VMView/NotificationsTab/plus_button";
        public static final String R_BUTTON = "VMView/NotificationsTab/r_button";
        public static final String START_MONITORING_ICON = "VMView/NotificationsTab/start_monitoring_icon";
        public static final String START_MONITORING_LABEL = "VMView/NotificationsTab/start_monitoring_label";
        public static final String STOP_MONITORING_BUTTON = "VMView/NotificationsTab/stop_monitoring_button";
        public static final String TEXT_DESCRIPTION = "VMView/NotificationsTab/text_description";
    }



}
